linux-aws: 4.18.0-1007.9 -proposed tracker

Bug #1806420 reported by Kleber Sacilotto de Souza on 2018-12-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Khaled El Mously
Prepare-package-meta
Medium
Khaled El Mously
Promote-to-proposed
Medium
Steve Langasek
Promote-to-security
Medium
Steve Langasek
Promote-to-updates
Medium
Steve Langasek
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Canonical Security Team
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-aws (Ubuntu)
Undecided
Unassigned
Cosmic
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1806409
phase: Released
phase-changed: Thursday, 20. December 2018 06:13 UTC
proposed-announcement-sent: true
proposed-testing-requested: true

CVE References

tags: added: kernel-release-tracking-bug
tags: added: kernel-release-tracking-bug-live
tags: added: cosmic
Changed in linux-aws (Ubuntu Cosmic):
status: New → Confirmed
Changed in linux-aws (Ubuntu):
status: New → Invalid
Changed in linux-aws (Ubuntu Cosmic):
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
tags: added: kernel-sru-cycle-2018.12.03-1
tags: added: kernel-sru-derivative-of-1806409
Brad Figg (brad-figg) on 2018-12-03
description: updated
summary: - linux-aws: <version to be filled> -proposed tracker
+ linux-aws: 4.18.0-1007.8 -proposed tracker
Brad Figg (brad-figg) on 2018-12-04
description: updated
summary: - linux-aws: 4.18.0-1007.8 -proposed tracker
+ linux-aws: 4.18.0-1007.9 -proposed tracker
Brad Figg (brad-figg) on 2018-12-06
description: updated
Brad Figg (brad-figg) on 2018-12-07
tags: added: block-proposed-cosmic
tags: added: block-proposed
description: updated
Brad Figg (brad-figg) on 2018-12-07
description: updated
Brad Figg (brad-figg) on 2018-12-07
description: updated
Sean Feole (sfeole) on 2018-12-10
tags: added: regression-testing-passed
Brad Figg (brad-figg) on 2018-12-10
description: updated
Brad Figg (brad-figg) on 2018-12-10
description: updated
Brad Figg (brad-figg) on 2018-12-11
description: updated
Brad Figg (brad-figg) on 2018-12-17
description: updated
Brad Figg (brad-figg) on 2018-12-18
description: updated
Brad Figg (brad-figg) on 2018-12-19
description: updated
Brad Figg (brad-figg) on 2018-12-20
tags: removed: block-proposed-cosmic
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 4.18.0-1007.9

---------------
linux-aws (4.18.0-1007.9) cosmic; urgency=medium

  * linux-aws: 4.18.0-1007.9 -proposed tracker (LP: #1806420)

  [ Ubuntu: 4.18.0-13.14 ]

  * linux: 4.18.0-13.14 -proposed tracker (LP: #1806409)
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] limit preparation to linux-libc-dev in headers
    - [Packaging] commonise debhelper invocation
    - [Packaging] ABI -- accumulate abi information at the end of the build
    - [Packaging] buildinfo -- add basic build information
    - [Packaging] buildinfo -- add firmware information to the flavour ABI
    - [Packaging] buildinfo -- add compiler information to the flavour ABI
    - [Packaging] buildinfo -- add buildinfo support to getabis
  * linux packages should own /usr/lib/linux/triggers (LP: #1770256)
    - [Packaging] own /usr/lib/linux/triggers
  * Regression: hinic performance degrades over time (LP: #1805248)
    - Revert "net-next/hinic: add checksum offload and TSO support"
  * CVE-2018-18710
    - cdrom: fix improper type cast, which can leat to information leak.

 -- Khalid Elmously <email address hidden> Thu, 06 Dec 2018 18:17:37 +0000

Changed in linux-aws (Ubuntu Cosmic):
status: Confirmed → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 4.18.0-1007.9

---------------
linux-aws (4.18.0-1007.9) cosmic; urgency=medium

  * linux-aws: 4.18.0-1007.9 -proposed tracker (LP: #1806420)

  [ Ubuntu: 4.18.0-13.14 ]

  * linux: 4.18.0-13.14 -proposed tracker (LP: #1806409)
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] limit preparation to linux-libc-dev in headers
    - [Packaging] commonise debhelper invocation
    - [Packaging] ABI -- accumulate abi information at the end of the build
    - [Packaging] buildinfo -- add basic build information
    - [Packaging] buildinfo -- add firmware information to the flavour ABI
    - [Packaging] buildinfo -- add compiler information to the flavour ABI
    - [Packaging] buildinfo -- add buildinfo support to getabis
  * linux packages should own /usr/lib/linux/triggers (LP: #1770256)
    - [Packaging] own /usr/lib/linux/triggers
  * Regression: hinic performance degrades over time (LP: #1805248)
    - Revert "net-next/hinic: add checksum offload and TSO support"
  * CVE-2018-18710
    - cdrom: fix improper type cast, which can leat to information leak.

 -- Khalid Elmously <email address hidden> Thu, 06 Dec 2018 18:17:37 +0000

Changed in linux-aws (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers